Package de.willuhn.jameica.hbci.gui.parts

# Class PassportPropertyList

java.lang.Object
de.willuhn.jameica.hbci.gui.parts.PassportPropertyList

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`

public class PassportPropertyList extends Object implements de.willuhn.jameica.gui.Part
Zeigt eine Liste der BPD/UPD an.

## Constructor Summary

Constructors
Constructor
Description
`PassportPropertyList(org.kapott.hbci.passport.HBCIPassport passport)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`clearBPD()`
Loescht alle BPD aus der Tabelle.
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PassportPropertyList

public PassportPropertyList(org.kapott.hbci.passport.HBCIPassport passport)
ct.

Parameters:
  `passport` - Passport.

## Method Details

### paint

public void paint(org.eclipse.swt.widgets.Composite parent) throws RemoteException

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
Throws:
  `RemoteException`
See Also:
  - `Part.paint(org.eclipse.swt.widgets.Composite)`

### clearBPD

public void clearBPD()
Loescht alle BPD aus der Tabelle.